Last Comment Bug 762105 - zimbra email not showing some email subjects
: zimbra email not showing some email subjects
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- critical (vote)
: mozilla16
Assigned To: Luke Wagner [:luke]
:
Mentors:
: 762061 762131 (view as bug list)
Depends on:
Blocks: 659577
  Show dependency treegraph
 
Reported: 2012-06-06 10:00 PDT by Dietrich Ayala (:dietrich)
Modified: 2012-06-07 09:56 PDT (History)
12 users (show)
khuey: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix and test (3.07 KB, patch)
2012-06-07 02:31 PDT, Luke Wagner [:luke]
dvander: review+
Details | Diff | Splinter Review

Description Dietrich Ayala (:dietrich) 2012-06-06 10:00:04 PDT
screenshot: http://cl.ly/1i342i3w0l1Q06111h1X
Comment 1 Dietrich Ayala (:dietrich) 2012-06-06 10:20:30 PDT
Taras said it's a bug in Nightly.
Comment 2 juan becerra [:juanb] 2012-06-06 10:53:06 PDT
*** Bug 762131 has been marked as a duplicate of this bug. ***
Comment 3 Dietrich Ayala (:dietrich) 2012-06-06 10:59:55 PDT
Downgrading to 16.0a1 (2012-06-05) fixes the problem.
Comment 4 Dietrich Ayala (:dietrich) 2012-06-06 11:00:14 PDT
aka http://hg.mozilla.org/mozilla-central/rev/a7a905fd70d5
Comment 5 Lawrence Mandel [:lmandel] (use needinfo) 2012-06-06 11:52:28 PDT
I'm experiencing the same issue with the same build.
Comment 6 Marcia Knous [:marcia - use ni] 2012-06-06 16:47:15 PDT
*** Bug 762061 has been marked as a duplicate of this bug. ***
Comment 7 Ed Morley [:emorley] 2012-06-06 17:15:45 PDT
Range between the two Nightlies:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=a7a905fd70d5&tochange=6338a8988917
Comment 9 Ed Morley [:emorley] 2012-06-06 17:59:27 PDT
I've attempted a backout of the main bug 659577 landing and the followup commit, but there are conflicts with things that landed after, so think it's perhaps just safer to leave for Luke to take a look at for now.
Comment 10 Luke Wagner [:luke] 2012-06-06 18:12:22 PDT
Yes, I'll look at it immediately.
Comment 11 Luke Wagner [:luke] 2012-06-07 01:18:13 PDT
Phew, I've tracked it down to a bug in the mjit changes: increment on a formal argument when formals are aliased by 'arguments' (but not by the scope chain) doesn't increment the canonical slot in the arguments object and so is effectively a nop.

Should be a simple fix; writing mjit patches isn't a good idea at this hour so I'll do it tomorrow.
Comment 12 Luke Wagner [:luke] 2012-06-07 02:31:38 PDT
Created attachment 630901 [details] [diff] [review]
fix and test

Actually, the fix is pretty simple.
Comment 13 Luke Wagner [:luke] 2012-06-07 02:51:31 PDT
https://hg.mozilla.org/mozilla-central/rev/7e4c2abb9fc9
Comment 14 Ed Morley [:emorley] 2012-06-07 02:58:15 PDT
Nightlies retriggered on 7e4c2abb9fc9.
Comment 15 Ed Morley [:emorley] 2012-06-07 07:01:01 PDT
Verified fixed with the new Nightly - thanks! :-)

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/16.0 Firefox/16.0a1
http://hg.mozilla.org/mozilla-central/rev/7e4c2abb9fc9

Note You need to log in before you can comment on or make changes to this bug.